# This file is auto-generated by openmediavault (https://www.openmediavault.org)
# WARNING: Do not edit this file, your changes will get lost.

# nginx-proxy-manager
# Nginx Proxy Manager
services:
  app:
    image: ${CONTAINER_APP_IMAGE}
    container_name: ${CONTAINER_APP_NAME}
    restart: unless-stopped
    ports:
      # These ports are in format <host-port>:<container-port>
      - '${NGINX_HTTP_E}:${NGINX_HTTP_C}' # Public HTTP Port
      - '${NGINX_HTTPS_E}:${NGINX_HTTPS_C}' # Public HTTPS Port
      - '${NGINX_PORT_ADM_E}:${NGINX_PORT_ADM_C}' # Admin Web Port
      # Add any other Stream port you want to expose
    volumes:
      - ${VOL_NGINX_PROXY_MANAGER}
      - ${VOL_NGINX_PROXY_MANAGER_LETSENCRYPT}
    depends_on:
      - db
  db:
    image: ${CONTAINER_RDBMS_IMAGE}
    restart: unless-stopped
    volumes:
      - ${VOL_RDBMS}

